# TODOs

* Need to move from boxed to references in typedefs
* use append instead of chain where redisdual elements not needed
* clean nesting checks in parser better detection of e.g `[[{]}]` - issues
